Share the address with the buyer
curl --request POST \
--url https://api.investorlift.com/marketplace/v1/sell/inquiries/{inquiry_id}/approve \
--header 'Authorization: Bearer <token>' \
--header 'Idempotency-Key: <idempotency-key>'const options = {
method: 'POST',
headers: {'Idempotency-Key': '<idempotency-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.investorlift.com/marketplace/v1/sell/inquiries/{inquiry_id}/approve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.investorlift.com/marketplace/v1/sell/inquiries/{inquiry_id}/approve"
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"deal_id": "<string>",
"type": "inquiry",
"message": "<string>",
"address_state": "requested",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"address": "<string>",
"buyer": {
"buyer_id": "<string>",
"name": "<string>",
"entity_name": "<string>",
"email": "<string>",
"phone": "<string>",
"phone_type": "<string>"
}
},
"meta": {
"request_id": "<string>",
"api_version": "<string>"
}
}{
"type": "https://developers.investorlift.com/marketplace/errors#invalid_id",
"title": "Identifier malformed",
"status": 400,
"code": "invalid_id",
"detail": "<string>",
"recovery": "Send the public id with its type prefix, for example mdl_a1b2c3d4e5f6.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#unauthorized",
"title": "Not authenticated",
"status": 401,
"code": "unauthorized",
"detail": "<string>",
"recovery": "Send a current access token for this API, and start a new authorization when the token is expired.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#designation_required",
"title": "Designation missing",
"status": 403,
"code": "designation_required",
"detail": "<string>",
"recovery": "Finish the onboarding of the side you call, then repeat the call.",
"request_id": "<string>",
"designation": "seller"
}{
"type": "https://developers.investorlift.com/marketplace/errors#not_found",
"title": "Not found",
"status": 404,
"code": "not_found",
"detail": "<string>",
"recovery": "Check the id, and check that the account you call with owns the resource.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#method_not_allowed",
"title": "Method not allowed",
"status": 405,
"code": "method_not_allowed",
"detail": "<string>",
"recovery": "Use one of the methods the documentation lists for this path.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#deal_closed",
"title": "Deal closed",
"status": 409,
"code": "deal_closed",
"detail": "<string>",
"recovery": "Read the deal to see the current status, and act on an open deal instead.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#invalid_transition",
"title": "Transition not allowed",
"status": 422,
"code": "invalid_transition",
"detail": "<string>",
"recovery": "Read the resource, then pick a status the detail lists as a next step.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#origin_error",
"title": "Service unavailable",
"status": 503,
"code": "origin_error",
"detail": "<string>",
"recovery": "Repeat the call in a minute, and tell Investorlift support when the answer stays the same.",
"request_id": "<string>"
}sell
Share the address with the buyer
Shares the property address with the buyer who asked for it. The buyer gets the address in the conversation and in an email. An inquiry that is not an address request, one already shared and one already declined each answer a refusal.
POST
/
sell
/
inquiries
/
{inquiry_id}
/
approve
Share the address with the buyer
curl --request POST \
--url https://api.investorlift.com/marketplace/v1/sell/inquiries/{inquiry_id}/approve \
--header 'Authorization: Bearer <token>' \
--header 'Idempotency-Key: <idempotency-key>'const options = {
method: 'POST',
headers: {'Idempotency-Key': '<idempotency-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.investorlift.com/marketplace/v1/sell/inquiries/{inquiry_id}/approve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.investorlift.com/marketplace/v1/sell/inquiries/{inquiry_id}/approve"
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"deal_id": "<string>",
"type": "inquiry",
"message": "<string>",
"address_state": "requested",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"address": "<string>",
"buyer": {
"buyer_id": "<string>",
"name": "<string>",
"entity_name": "<string>",
"email": "<string>",
"phone": "<string>",
"phone_type": "<string>"
}
},
"meta": {
"request_id": "<string>",
"api_version": "<string>"
}
}{
"type": "https://developers.investorlift.com/marketplace/errors#invalid_id",
"title": "Identifier malformed",
"status": 400,
"code": "invalid_id",
"detail": "<string>",
"recovery": "Send the public id with its type prefix, for example mdl_a1b2c3d4e5f6.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#unauthorized",
"title": "Not authenticated",
"status": 401,
"code": "unauthorized",
"detail": "<string>",
"recovery": "Send a current access token for this API, and start a new authorization when the token is expired.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#designation_required",
"title": "Designation missing",
"status": 403,
"code": "designation_required",
"detail": "<string>",
"recovery": "Finish the onboarding of the side you call, then repeat the call.",
"request_id": "<string>",
"designation": "seller"
}{
"type": "https://developers.investorlift.com/marketplace/errors#not_found",
"title": "Not found",
"status": 404,
"code": "not_found",
"detail": "<string>",
"recovery": "Check the id, and check that the account you call with owns the resource.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#method_not_allowed",
"title": "Method not allowed",
"status": 405,
"code": "method_not_allowed",
"detail": "<string>",
"recovery": "Use one of the methods the documentation lists for this path.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#deal_closed",
"title": "Deal closed",
"status": 409,
"code": "deal_closed",
"detail": "<string>",
"recovery": "Read the deal to see the current status, and act on an open deal instead.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#invalid_transition",
"title": "Transition not allowed",
"status": 422,
"code": "invalid_transition",
"detail": "<string>",
"recovery": "Read the resource, then pick a status the detail lists as a next step.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#origin_error",
"title": "Service unavailable",
"status": 503,
"code": "origin_error",
"detail": "<string>",
"recovery": "Repeat the call in a minute, and tell Investorlift support when the answer stays the same.",
"request_id": "<string>"
}Authorizations
Authorization code with PKCE. The person grants the scopes on the Investorlift consent page and accepts the Marketplace API Terms there.
Headers
A key of your own that names this attempt. The same key with the same body replays the stored answer.
Required string length:
1 - 255Path Parameters
The public id in the path, for example inquiry_id as mdl_a1b2c3d4e5f6.
Was this page helpful?